%define anolis_release 1

Name:           gcc-python-plugin
Version:        0.17.1
Release:        %{anolis_release}%{?dist}
Summary:        GCC plugin that embeds Python

Group:          Development/Languages
License:        GPLv3+
URL:            https://gitee.com/anolis/gcc-python-plugin
Source0:        %{name}-%{version}.tar.gz

# gcc version should be more than 6.5.1
BuildRequires:	gcc >= 6.5.1
BuildRequires:	gcc-plugin-devel >= 6.5.1
BuildRequires:	gcc-c++ >= 6.5.1

# Various python runtimes to build the plugin against:
BuildRequires:	python3
BuildRequires:	python3-devel
BuildRequires:  python-unversioned-command

# "six" is used at buildtime:
BuildRequires:	python3-six

# pygments is used when running the selftests:
BuildRequires:	python3-pygments

# lxml is used when running the selftests:
BuildRequires:	python3-lxml

Requires:	gcc-plugin-devel >= 6.5.1
Requires:	python3-libs

%global gcc_plugins_dir %(gcc --print-file-name=plugin)

%description
Plugins for embedding various versions of Python within GCC

%prep
%autosetup -p1

%build
make

%install
mkdir -p %{buildroot}/%{_libdir}/gcc-python-plugin
mkdir -p %{buildroot}/%{gcc_plugins_dir}

install -m 755 python.so %{buildroot}/usr/lib64/gcc-python-plugin/python.so
install -m 755 gcc-c-api/libgcc-c-api.so \
		%{buildroot}/%{gcc_plugins_dir}/libgcc-c-api.so

%files
%dir %{_libdir}/gcc-python-plugin
%{_libdir}/gcc-python-plugin/python.so
%{gcc_plugins_dir}/libgcc-c-api.so

%changelog
* Thu Jul 27 2023 Tianchen Ding <dtcccc@linux.alibaba.com> - 0.17.1-1
- first release for anolis version
